libmspub::MSPUBMetaData Class Reference

`#include <MSPUBMetaData.h>`

## Public Member Functions

| MSPUBMetaData ()
| ~MSPUBMetaData ()
bool | parse (librevenge::RVNGInputStream *input)
bool | parseTimes (librevenge::RVNGInputStream *input)
const librevenge::RVNGPropertyList & | getMetaData ()

## Private Member Functions

| MSPUBMetaData (const MSPUBMetaData &)
MSPUBMetaData & | operator= (const MSPUBMetaData &)
void | readPropertySetStream (librevenge::RVNGInputStream *input)
void | readPropertySet (librevenge::RVNGInputStream *input, uint32_t offset, char *FMTID)
void | readPropertyIdentifierAndOffset (librevenge::RVNGInputStream *input)
void | readTypedPropertyValue (librevenge::RVNGInputStream *input, uint32_t index, uint32_t offset, char *FMTID)
librevenge::RVNGString | readCodePageString (librevenge::RVNGInputStream *input)
uint32_t | getCodePage ()

## Private Attributes

std::vector< std::pair< uint32_t, uint32_t > > | m_idsAndOffsets
std::map< uint16_t, uint16_t > | m_typedPropertyValues
librevenge::RVNGPropertyList | m_metaData

## Constructor & Destructor Documentation

## MSPUBMetaData() [1/2]

libmspub::MSPUBMetaData::MSPUBMetaData | ( |  | ) |

Referenced by MSPUBMetaData(), and operator=().

## ~MSPUBMetaData()

libmspub::MSPUBMetaData::~MSPUBMetaData | ( |  | ) |

## MSPUBMetaData() [2/2]

libmspub::MSPUBMetaData::MSPUBMetaData | ( | const MSPUBMetaData & |  | ) |

private

## Member Function Documentation

## getCodePage()

uint32_t libmspub::MSPUBMetaData::getCodePage | ( |  | ) |

private

Referenced by readCodePageString().

## getMetaData()

const librevenge::RVNGPropertyList & libmspub::MSPUBMetaData::getMetaData | ( |  | ) |

Referenced by libmspub::MSPUBParser::parseMetaData().

## operator=()

MSPUBMetaData & libmspub::MSPUBMetaData::operator= | ( | const MSPUBMetaData & |  | ) |

private

## parse()

bool libmspub::MSPUBMetaData::parse | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libmspub::MSPUBParser::parseMetaData().

## parseTimes()

bool libmspub::MSPUBMetaData::parseTimes | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libmspub::MSPUBParser::parseMetaData().

## readCodePageString()

librevenge::RVNGString libmspub::MSPUBMetaData::readCodePageString | ( | librevenge::RVNGInputStream * | input | ) |

private

Referenced by readTypedPropertyValue().

## readPropertyIdentifierAndOffset()

void libmspub::MSPUBMetaData::readPropertyIdentifierAndOffset | ( | librevenge::RVNGInputStream * | input | ) |

private

Referenced by readPropertySet().

## readPropertySet()

void libmspub::MSPUBMetaData::readPropertySet | ( | librevenge::RVNGInputStream * | input,
|  | uint32_t | offset,
|  | char * | FMTID )

private

Referenced by readPropertySetStream().

## readPropertySetStream()

void libmspub::MSPUBMetaData::readPropertySetStream | ( | librevenge::RVNGInputStream * | input | ) |

private

Referenced by parse().

## readTypedPropertyValue()

void libmspub::MSPUBMetaData::readTypedPropertyValue | ( | librevenge::RVNGInputStream * | input,
|  | uint32_t | index,
|  | uint32_t | offset,
|  | char * | FMTID )

private

Referenced by readPropertySet().

## Member Data Documentation

## m_idsAndOffsets

std::vector< std::pair<uint32_t, uint32_t> > libmspub::MSPUBMetaData::m_idsAndOffsets

private

Referenced by getCodePage(), MSPUBMetaData(), readPropertyIdentifierAndOffset(), readPropertySet(), and readTypedPropertyValue().

## m_metaData

librevenge::RVNGPropertyList libmspub::MSPUBMetaData::m_metaData

private

Referenced by getMetaData(), MSPUBMetaData(), parseTimes(), and readTypedPropertyValue().

## m_typedPropertyValues

std::map<uint16_t, uint16_t> libmspub::MSPUBMetaData::m_typedPropertyValues

private

Referenced by getCodePage(), MSPUBMetaData(), and readTypedPropertyValue().

The documentation for this class was generated from the following files:

- MSPUBMetaData.h
- MSPUBMetaData.cpp